import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Row, Col } from './components/grid';
export var RowComponent = Intact.decorate(Row, 'k-row');
export var ColComponent = Intact.decorate(Col, 'k-col');
var components = [RowComponent, ColComponent];
var GridModule = /** @class */ (function () {
    function GridModule() {
    }
    GridModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], GridModule);
    return GridModule;
}());
export { GridModule };